﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace tetris.v4
{
  [Serializable]
  public class Recorder
  {
    public enum Operation
    {
      canghedNext = 1,
      noOp = 2
    }
    public int currTick = 0;
    public Operation currOp = Operation.noOp;
    public int[,] screen = null;
    public bool[,] currPiece = null;
    public Memory.pieceType currPieceType = Memory.pieceType.MATTONE;
    public bool[,] next = null;
    public Memory.pieceType nextType = Memory.pieceType.MATTONE;

    public int currLevel = 0;
    public int currScore = 0;
    public int currLines = 0;
    public int currX = 0;
    public int currY = 0;

    public bool screenIsCanghed(int[,] prevScreen, Memory where)
    {
      for (int i = 0 ;i<Memory.SCREEN_LINES; i++)
      {
        for (int j = 0; j < Memory.SCREEN_COLUMNS; j++)
        {
          if (prevScreen[j, i] != where.screen[j, i])
          {
            return true;
          }
        }
      }
      return false;
    }

    public bool nextIsCanghed(bool[,] prevNext, Memory where)
    {
      for (int i = 0; i < Memory.PEACE_SIZE_Y; i++)
      {
        for (int j = 0; j < Memory.PEACE_SIZE_X; j++)
        {
          if (prevNext[j, i] != where.next[j, i])
          {
            return true;
          }
        }
      }
      return false;
    }

  }
}
